"A software update is required"

Discussion in 'Switch - Backup Loaders & Modchips' started by SmashApe, Apr 29, 2019.

  1. SmashApe
    OP

    SmashApe Member

    Newcomer
    1
    Jan 25, 2019
    Australia
    Hi all,

    I'm on Atmosphere 0.8.9 with firmware 8.0.0.

    I'm trying to install Mortal Kombat 11, but after I install it I get the popup "A software update is required. Update data will be downloaded now." If you click cancel it goes back to the home menu, if you click download, obviously this isn't an option.

    This happens with just the game or the game and the update. I've downloaded the game and update NSP from different sources and tried different combinations but still get the same error. I haven't heard of anyone getting the same error with Mortal Kombat 11, so I assume it's my switch but can't figure it out. I have the right sig patches and all other games work. I've deleted the whole game and reinstalled about 10 times trying different things. Any ideas?
     
  2. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    19
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Mar 17, 2010
    Norway
    Alola
    Did you install the game update?
     
  3. ModderFokker619

    ModderFokker619 GBAtemp Advanced Fan

    Member
    6
    Oct 2, 2015
    United States
    California

    MK11 1.03 Update just dropped
     
  4. SmashApe
    OP

    SmashApe Member

    Newcomer
    1
    Jan 25, 2019
    Australia
    Yes, 1.02 and same result. I'll try 1.03 now that it's out.

    — Posts automatically merged - Please don't double post! —

    This worked.
     
    gizmomelb likes this.
  5. SmashApe
    OP

    SmashApe Member

    Newcomer
    1
    Jan 25, 2019
    Australia
    Actually it worked, as in it loaded, but is now giving me a 2000-0000 pop-up error every 60 seconds!

    — Posts automatically merged - Please don't double post! —

    [​IMG]
     
  6. ModderFokker619

    ModderFokker619 GBAtemp Advanced Fan

    Member
    6
    Oct 2, 2015
    United States
    California
    Interesting I have yet to try 1.03 - Ill let you know if it does the same

    8.01 atmo 0.8.9
     
    SmashApe likes this.
  7. Funkyscorp

    Funkyscorp Newbie

    Newcomer
    1
    Apr 29, 2019
    Australia
    Use flight mode stops the messages .
     
  8. SmashApe
    OP

    SmashApe Member

    Newcomer
    1
    Jan 25, 2019
    Australia
    Strange I should need to? I've never had to before.
     
  9. wurstpistole

    wurstpistole I got 8 warning points

    Member
    12
    Nov 19, 2015
    Gambia, The
    Mk11 has a lot of online only components and checks for that regularly, hence it throwing those errors continously - given that you are banned, use stealth mode, 90dns or whatever to block access to Nintendo servers
     
    SmashApe and ModderFokker619 like this.
  10. switshgam0r

    switshgam0r GBAtemp Regular

    Member
    2
    Jul 4, 2018
    Germany
    MK11 is no game for a portable console.
     
  11. wurstpistole

    wurstpistole I got 8 warning points

    Member
    12
    Nov 19, 2015
    Gambia, The
    While you have the full right to express your valued opinion, it does not contribute anything to solving this good man's issue.
     
  12. switshgam0r

    switshgam0r GBAtemp Regular

    Member
    2
    Jul 4, 2018
    Germany
    U are right.
     
  13. SmashApe
    OP

    SmashApe Member

    Newcomer
    1
    Jan 25, 2019
    Australia
    Thanks. I'm not sure if I'm banned. I don't believe I've ever gone online without 90DNS. Unless there's a new server it's not blocking.

    — Posts automatically merged - Please don't double post! —

    I use it in the dock with a pro controller?
     
    Josshy0125 likes this.
  14. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    19
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Mar 17, 2010
    Norway
    Alola
    Why not?
    Description:
    You are unable to use an online feature and receive the error code 2000-0000.

    Additional Information:
    If you receive this error code, it indicates a software update is available for your software.

    https://www.nintendo.co.uk/Support/Nintendo-Switch/Error-Code-2000-0000-1511448.html

    Weird, you shouldn't be getting that message if you have the latest game update. It kept giving me a "connection failed" message after every match, but it was just a generic connection failed.
     
    SmashApe likes this.
  15. Hayato213

    Hayato213 GBAtemp Guru

    Member
    11
    Dec 26, 2015
    United States
    Why don't you just update to 8.0.1 via ChoidujourNX.
     
  16. wizwuz

    wizwuz Newbie

    Newcomer
    2
    Mar 9, 2019
    United States
    From what I heard, MK11 on switch features an "always online" requirement. Try using airplane mode. I had to do this with Tales of Vesperia to prevent an error which prevented the game fully launching.
     
    SmashApe likes this.
  17. SmashApe
    OP

    SmashApe Member

    Newcomer
    1
    Jan 25, 2019
    Australia
    I think it's a game message, not a firmware message, but I'll try.

    Is it safe to update to 8.0.1?

    — Posts automatically merged - Please don't double post! —

    It does work in airplane mode I discovered yesterday. I've just never had to do that and thought 90DNS would block it.
     
  18. r1ch4rd

    r1ch4rd Member

    Newcomer
    1
    Jun 10, 2019
    Brazil
    Any news about this error? Im having same here
     
  19. Shaione

    Shaione Newbie

    Newcomer
    1
    Jun 26, 2019
    United Kingdom
    How did you install the nsp update?
     
  20. stephrk398

    stephrk398 GBAtemp Fan

    Member
    5
    May 29, 2018
    United States
    I had a similar thing with My Friend Pedro that never happened before for me. I've never been online since doing CFW either. Was on 7.0.1 and the base game worked fine. Installed the game's update, it no longer worked. So I uninstalled and re-installed the base game and now that didn't work despite it working before. So I uninstalled it, updated my console to 8.0.1, and the base game still didn't work... Maybe the circumstances surrounding how I do things didn't call for it, but I've always been able to re-install a working base game and have it work again. Anyways, installing the update on 8.0.1 now allowed the game to launch again.
     
Loading...